Bug 217800 - I810 locks up following November 10th updates
I810 locks up following November 10th updates
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-xinit (Show other bugs)
6
All Linux
medium Severity high
: ---
: ---
Assigned To: Adam Jackson
I810 Desktop Crashes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-29 17:44 EST by Leslie Satenstein
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-13 17:42:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The xorg X11 config file (570 bytes, application/octet-stream)
2006-12-27 17:03 EST, Leslie Satenstein
no flags Details

  None (edit)
Description Leslie Satenstein 2006-11-29 17:44:36 EST
Description of problem:       System is unusable.

I have two Fedora 6 systems with all patches as of nov 29th.  
After installing 3 x11 packages on the 10th, onto the first system, it locked up
randomly, sometimes during boot, sometimes after 20 minutes operation, and
almost always after logging out from kde or gnome.  The lockout is guaranteed to
appear, only question is how long to wait. 

When the lockups occur, keyboard and any othe means of generating an interrupt
fails, and that includes system reset. Only way is to power off, to reboot.

I delayed installing the 3 X11 rpms on the second system until yesterday. In all
other ways the second system, was up to date (save the 3 rpm packages bearing
the date I mentioned). 

That system did not lockup until the packages were installed. 
The logs don't show much, and that includes the x11 startup log. dmesg  


Version-Release number of selected component (if applicable):

Fc6 x11 as provided by PUP 

How reproducible:
Power on, and throw a dice, a 1 means 1 minute, a 6 means within the hour.
It always locks up, even if idle during the night. Sometimes, during the boot,
the system will reboot.

Steps to Reproduce:
1. Install the three rpms fc6 for i810 and restart X11
2.
3.
  
Actual results:

Locked up system

Expected results:
No screen or system lockup.

Additional info:
Switching to  vesa driver stops the crashes, lockups, and reboots.

Note, the error also corrupts i810 bios code. Get beeps from the mother board.
The system will however reboot (I810).

What I need is a  reverse update, as the rpm packages preceding the November
10th versions have been replaced. 

This problem is certainly related to one of those packages. 

My configuration.  Intel d945gnt motherboard with integrated I810 video. Bios
update (to try to solve problem) as of 9 Nov 2006.  Memory 1 gig ddr2. hard disk
/dev/sata   250meg (fc6 system 1) and /dev/hda disk 2 (Fc6 system 2)
Comment 1 Leslie Satenstein 2006-12-01 06:31:04 EST
Yesterday, 30 Nov, 2006, a Hal update was applied to the system. I restored the
i810 driver, and thus far 12 hrs (still up and running). This is a good sign.
Comment 2 Leslie Satenstein 2006-12-02 21:26:38 EST
Should mention that there is nothing in the x11 logs, as the lockup appears to
be in the bios.

Here are my list of suspect updates that could point to the solution:

xorg-x11-drv-i810 (Nov 10th approx)
xorg-x11-server-Xnest
xorg-x11-server-Xorg
xorg-x11-server-Xvfb
xorg-x11-server-sdk
and yes
xorg-x11-xinit

My experience is that the initial system versions were causing less severe problems.
One visual notice. During switching modes (during boot, or logoff/logon), hash
lines along the bottom of the screen appear. Occasionally these are mid screen,
 in color, and display the Intel logo.

Comment 3 Matěj Cepl 2006-12-27 15:35:41 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Leslie Satenstein 2006-12-27 17:03:50 EST
Created attachment 144426 [details]
The xorg X11 config file 

This is the xorg xll file that was requested
Comment 5 Leslie Satenstein 2006-12-27 17:18:06 EST
Further to the upload.  It is after the reinstall of FC6, with the x11 updates
blocked. 
With regular fc6 (non xen) the problem does not appear.

There is almost 2 months delay between filing the bug report and today. I wish I
could be more helpful.  

Leslie 
Comment 6 Matěj Cepl 2006-12-28 14:43:20 EST
(In reply to comment #5)
> There is almost 2 months delay between filing the bug report and today. I wish I
> could be more helpful.  

I am sorry for that. I was just getting into the job and I am still working on
taking over all bugs which are under my control. Hopefully, it is going to be
better now.
Comment 7 Leslie Satenstein 2007-02-13 17:42:50 EST
This problem has completely disappeared as of Feb 13, 2007. 
There is no longer a problem 

Note You need to log in before you can comment on or make changes to this bug.